## WebKitDOMHTMLPropertiesCollection WebKitDOMHTMLPropertiesCollection |

## Functions

WebKitDOMNode * | webkit_dom_html_properties_collection_item ()
void * | webkit_dom_html_properties_collection_named_item ()
gulong | webkit_dom_html_properties_collection_get_length ()
WebKitDOMDOMStringList * | webkit_dom_html_properties_collection_get_names ()

## Object Hierarchy

## Description

## Functions

### webkit_dom_html_properties_collection_item ()

    WebKitDOMNode *
    webkit_dom_html_properties_collection_item
                                   (void *self,
                                    gulong index);

`webkit_dom_html_properties_collection_item` has been deprecated since version 2.2 and should not be used in newly-written code.

The PropertiesCollection object has been removed from WebKit, this function does nothing.

#### Parameters

self | A WebKitDOMHTMLPropertiesCollection |
index | A gulong |

#### Returns

a WebKitDOMNode.

[transfer none]

### webkit_dom_html_properties_collection_named_item ()

    void *
    webkit_dom_html_properties_collection_named_item
                                   (void *self,
                                    const gchar *name);

`webkit_dom_html_properties_collection_named_item` has been deprecated since version 2.2 and should not be used in newly-written code.

The PropertiesCollection object has been removed from WebKit, this function does nothing.

#### Parameters

self | A WebKitDOMHTMLPropertiesCollection |
name | A gchar |

#### Returns

.

[transfer none]

### webkit_dom_html_properties_collection_get_length ()

    gulong
    webkit_dom_html_properties_collection_get_length
                                   (void *self);

`webkit_dom_html_properties_collection_get_length` has been deprecated since version 2.2 and should not be used in newly-written code.

The PropertiesCollection object has been removed from WebKit, this function does nothing.

#### Parameters

self | A WebKitDOMHTMLPropertiesCollection |

#### Returns

A gulong

### webkit_dom_html_properties_collection_get_names ()

    WebKitDOMDOMStringList *
    webkit_dom_html_properties_collection_get_names
                                   (void *self);

`webkit_dom_html_properties_collection_get_names` has been deprecated since version 2.2 and should not be used in newly-written code.

The PropertiesCollection object has been removed from WebKit, this function does nothing.

#### Parameters

self | A WebKitDOMHTMLPropertiesCollection |

#### Returns

a WebKitDOMDOMStringList.

[transfer none]

## Types and Values